Subject: Re: [PATCH 14/16] media: sun6i-isp: Use V4L2 subdev active state

From: Paul Kocialkowski <[email-masked]>
Date: Fri, 22 May 2026 13:15:33 +0200

Hi Arash,

Le Thu 21 May 26, 12:53, arash golgol a écrit :
> I used LicheePi Zero Dock (V3s) with the following pipeline as test setup.
> 
> ov5647 -> sun6i-mipi-csi2 -> sun6i-csi-bridge -> sun6i-isp-proc ->
> sun6i-isp-capture
> 
> I verified TRY and ACTIVE state handling, including changing TRY
> formats without affecting ACTIVE state. Format propagation from the
> sink (csi) pad to the source pad was also tested.
> 
> I also tested streaming with the sensor test pattern enabled and
> verified the captured output was correct.
> 
> Tested-by: Arash Golgol <[email-masked]>

Thanks a lot for testing this! Did you test just this patch or the other
ones (especially sun6i-csi format enumeration) as well?

Also if you have an opinion on the code itself feel free to drop a
Reviewed-by tag, a lot of this work is very similar to what you did for
sun6i-csi and other drivers.

All the best,

Paul

-- 
Paul Kocialkowski,

Independent contractor - sys-base - https://www.sys-base.io/
Free software developer - https://www.paulk.fr/

Expert in multimedia, graphics and embedded hardware support with Linux.